Redmine - Patch #37558

Update webdrivers to 5.0
2022-08-07 01:09 - Takashi Kato

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 5.1.0

Description

Upgrade webdrivers, etc. To enable system tests can be run on ruby3 or later.

In addition, we do not load the driver for localhost when we set "'SELENIUM_REMOTE_URL to support a host without a browser
(Docker environment, etc.).

Associated revisions

Revision 22397 - 2023-10-29 12:52 - Marius BALTEANU
Update webdrivers gem (#37558).

Patch by Takashi Kato.

Revision 22398 - 2023-10-29 12:58 - Marius BALTEANU
Merged r22397 to 5.1-stable (#37558).

History

#1 - 2022-08-07 09:16 - Go MAEDA

Currently, the version of Webdrivers gem is fixed at 4.6.1 (see r21257). This is probably for compatibility with Ruby 2.5. Webdrivers 2.6.1 is the last
version that supports Ruby 2.5.

However, Redmine no longer supports Ruby 2.5 after 21610, so now we can use the latest version of Webdrivers gem.

#2 - 2022-08-17 07:39 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2022-08-24 15:25 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#4 - 2022-10-13 04:41 - Ko Nagase

| encountered webdriver issue on my M1 Mac environment recently. (At least, there was no problem at 2022-10-10(Mon).)

[

% bundle exec rails test:system

rails aborted!

Webdrivers: :NetworkError: Net::HTTPServerException: 404 "Not Found"

with https://chromedriver.storage.googleapis.com/106.0.5249.61/chromedriver_mac64_ml.zip

From the following Japanese article, updating webdrivers >= 5.2.0 seems to be necessary,

e Japanese Qiita article: https://qiita.com/jnchito/items/ef384a39cb063b0af463
e GitHub issue: https:/github.com/titusfortner/webdrivers/i

s0, | hope that this update will be merged before 5.1.0 for system test.

#5 - 2023-09-24 17:35 - Takashi Kato
- File 0001-Upgrade-webdriver.patch added

As per the following pull request, selenium-webdriver 4.11 or later does not require the webdriver description in the Gemfile.
https://www.redmine.org/projects/redmine/repository/svn/revisions/21257
https://www.redmine.org/projects/redmine/repository/svn/revisions/21610
https://qiita.com/jnchito/items/ef384a39cb063b0af463
https://github.com/titusfortner/webdrivers/issues/237

The fixed patch is available here.

https://github.com/rails/rails/pull/48847

#6 - 2023-10-23 20:21 - Marius BALTEANU
Applying this patch on Ruby 3.1, | receive the following error:

rake aborted!
LoadError: cannot load such file —-- webdrivers/chromedriver

/builds/redmine-org/redmine/vendor/ruby/3.1.0/gems/zeitwerk-2.6.12/1ib/zeitwerk/kernel.rb:38:in 'require'
/builds/redmine-org/redmine/vendor/ruby/3.1.0/gems/zeitwerk-2.6.12/1ib/zeitwerk/kernel.rb:38:in ‘require'

On Ruby 3.0, the system tests are running. Do you have any ideea?

#7 - 2023-10-26 13:35 - Takashi Kato
- File 0001r2-Upgrade-webdriver.patch added

This is my mistake.
| did not notice this because | was testing with SELENIUM_REMOTE_URL set at hand.
| fixed the part of application_system_test_case.rb that calls webdriver.

#8 - 2023-10-29 13:01 - Marius BALTEANU
- Status changed from New to Closed

- Assignee set to Marius BALTEANU

Committed, thanks!

Files

0001-Upgrade-webdrivers.patch 4.9 KB 2022-08-06 Takashi Kato
0001-Upgrade-webdriver.patch 3.83 KB 2023-09-24 Takashi Kato
0001r2-Upgrade-webdriver.patch 3.88 KB 2023-10-26 Takashi Kato
